<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcActorMove Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcActorMove Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcActorMove" --><!-- doxytag: inherits="iBase" -->
<p>ActorMove property class.  
 <a href="structiPcActorMove.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="actormove_8h_source.html">propclass/actormove.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcActorMove:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcActorMove.png" usemap="#iPcActorMove_map" alt=""/>
  <map id="iPcActorMove_map" name="iPcActorMove_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,93,24"/>
</map>
 </div></div>

<p><a href="structiPcActorMove-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a5d7be1bf62aa63f10813d7e6769c714b">AutoRun</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop auto-running.  <a href="#a5d7be1bf62aa63f10813d7e6769c714b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#aae783f72e3c14443c1eb807c6fe33a20">Backward</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop going backward.  <a href="#aae783f72e3c14443c1eb807c6fe33a20"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a129242fd3814bc3627d3c8b02b4b294b">EnableMouseMove</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable mouse move.  <a href="#a129242fd3814bc3627d3c8b02b4b294b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a5b8c2911d27be512dadffc9473d59d61">Forward</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop going forward.  <a href="#a5b8c2911d27be512dadffc9473d59d61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a7956ee441f68a94ff3093e7b73a506d8">GetJumpingVelocity</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the jumping velocity (default 6.31).  <a href="#a7956ee441f68a94ff3093e7b73a506d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a74c7daa806bbab0944a922d10fb18e91">GetMouseMoveSpeedX</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mouse move x factor.  <a href="#a74c7daa806bbab0944a922d10fb18e91"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ab3c322fb294dbd88fac047544771ee5f">GetMouseMoveSpeedY</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get mouse move y factor.  <a href="#ab3c322fb294dbd88fac047544771ee5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ab1445ae733009104c532cdd402f0a7ec">GetMovementSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the movement speed (default 2.0).  <a href="#ab1445ae733009104c532cdd402f0a7ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a4382852d5faaaaa65030e5987e4eecc4">GetRotationSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the rotation speed (default 1.75).  <a href="#a4382852d5faaaaa65030e5987e4eecc4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a361c506fe0344985bed6fc5cc0b39b33">GetRunningSpeed</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the running speed (default 5.0).  <a href="#a361c506fe0344985bed6fc5cc0b39b33"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#abd1273417bfc408a119dbf69a913be6e">IsAutoRunning</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of autorunning.  <a href="#abd1273417bfc408a119dbf69a913be6e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a463c5af854204a06aba1e13a39ccc1b9">IsMouseMoveAccelerated</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if mouse move is accelerated.  <a href="#a463c5af854204a06aba1e13a39ccc1b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ae14b2de761e09df4d4c99959fc68236d">IsMouseMoveEnabled</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if mouse move is enabled.  <a href="#ae14b2de761e09df4d4c99959fc68236d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a59858f8cd2f672cec02b2f78a0dc50ec">IsMouseMoveInverted</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Test if mouse move is inverted.  <a href="#a59858f8cd2f672cec02b2f78a0dc50ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#af27e386c815b8bf74003e1bea8bddf99">IsMoving</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of moving.  <a href="#af27e386c815b8bf74003e1bea8bddf99"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a6439a02504ab228f5d49d80064dc6e65">IsMovingBackward</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of moving backward.  <a href="#a6439a02504ab228f5d49d80064dc6e65"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a27238f3cb0b6320cf73571344ed66ac0">IsMovingForward</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of moving forward.  <a href="#a27238f3cb0b6320cf73571344ed66ac0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a161426ee01201ce435d6235c2e8072ae">IsRotatingLeft</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of rotating left.  <a href="#a161426ee01201ce435d6235c2e8072ae"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a8e3f4e22ad9e62ec6dbb2ab46e7ff90d">IsRotatingRight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of rotating right.  <a href="#a8e3f4e22ad9e62ec6dbb2ab46e7ff90d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a3505e3780a15da437104e2b5a129bf74">IsRunning</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of running.  <a href="#a3505e3780a15da437104e2b5a129bf74"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a45359a65b20ea31d0a08167e3fb12848">IsStrafingLeft</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of strafing left.  <a href="#a45359a65b20ea31d0a08167e3fb12848"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a92f29c078469910371a0356bc1904f27">IsStrafingRight</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the toggle value of strafing right.  <a href="#a92f29c078469910371a0356bc1904f27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a8504a83867ecdfa2e5d5a889b5c72336">Jump</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Jump.  <a href="#a8504a83867ecdfa2e5d5a889b5c72336"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#abe9b1114cf8359c04b70db8edd1efecc">MouseMove</a> (float x, float y)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Handle mouse movement.  <a href="#abe9b1114cf8359c04b70db8edd1efecc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ade7a1d650f59e99ee9763dc3782bfa5a">RotateLeft</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop rotating left.  <a href="#ade7a1d650f59e99ee9763dc3782bfa5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ab0857d4f499c8ce352dafb9cc0d00f27">RotateRight</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop rotating right.  <a href="#ab0857d4f499c8ce352dafb9cc0d00f27"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#aedc37f2d71ad0ce238686efd2cb3b054">RotateTo</a> (float yrot)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Rotate to a specified angle.  <a href="#aedc37f2d71ad0ce238686efd2cb3b054"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a5333252175d6df94b8e5063e01c45be5">Run</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop running.  <a href="#a5333252175d6df94b8e5063e01c45be5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a62b35b7a61fcb8ccbf8ccfc36aeb6b88">SetAnimation</a> (const char *name, bool cycle=true)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set current animation on underlying pcmesh.  <a href="#a62b35b7a61fcb8ccbf8ccfc36aeb6b88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a193033d351968ac8b2dbe5179a02bb61">SetAnimationMapping</a> (celAnimationName idx, const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mesh's animationname for internally used animations.  <a href="#a193033d351968ac8b2dbe5179a02bb61"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a0725397974cbf341b95ca25e327fb7e0">SetJumpingVelocity</a> (float speed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the jumping velocity (default 6.31).  <a href="#a0725397974cbf341b95ca25e327fb7e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a85b268e1a5eaae11c19967fa43772b7b">SetMouseMoveAccelerated</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable mouse move accelerated mode.  <a href="#a85b268e1a5eaae11c19967fa43772b7b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#ad185b63e2987d57cd9940630fcbc7942">SetMouseMoveInverted</a> (bool en)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable mouse move inverted mode.  <a href="#ad185b63e2987d57cd9940630fcbc7942"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#abccfbb1906794dac9e4eb86bd64b1bc0">SetMouseMoveSpeed</a> (float xs, float ys)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set mouse move speed factor.  <a href="#abccfbb1906794dac9e4eb86bd64b1bc0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a85ac9ad076488c05cb96e218135bd1a1">SetMovementSpeed</a> (float speed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the movement speed (default 2.0).  <a href="#a85ac9ad076488c05cb96e218135bd1a1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a6ff5764554a1d8b750ac570e3f4ba372">SetRotationSpeed</a> (float speed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the rotation speed (default 1.75).  <a href="#a6ff5764554a1d8b750ac570e3f4ba372"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a9d23567b60d1a30a3278e3d3dee0e5ce">SetRunningSpeed</a> (float speed)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the running speed (default 5.0).  <a href="#a9d23567b60d1a30a3278e3d3dee0e5ce"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#a962b937387ffc918bb7b8e7f7713f362">StrafeLeft</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop strafing left.  <a href="#a962b937387ffc918bb7b8e7f7713f362"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#adef2e92e1646e30c24f132be8f05f6a0">StrafeRight</a> (bool start)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Start/stop strafing right.  <a href="#adef2e92e1646e30c24f132be8f05f6a0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcActorMove.html#aabc8b05a8f2355d1fc7cd97529e3a066">ToggleCameraMode</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Toggle camera mode.  <a href="#aabc8b05a8f2355d1fc7cd97529e3a066"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>ActorMove property class. </p>
<p>This property class makes a connection between pclinmove and pccamera and makes it easier to control movement for actors in a game. Typical usage would be to combine it with pccommandinput and then in the behaviour layer send out the appropriate calls here depending on the keys that are pressed. This class is also aware of animation actions using animated meshes.</p>
<p>This property class supports the following actions (add prefix 'cel.move.actor.action.' if you want to access this action through a message):</p>
<ul>
<li>SetSpeed: parameters 'movement' (float), 'running' (float), 'rotation' (float) and 'jumping' (float).</li>
<li>Forward: parameters 'start' (bool).</li>
<li>Backward: parameters 'start' (bool).</li>
<li>StrafeLeft: parameters 'start' (bool).</li>
<li>StrafeRight: parameters 'start' (bool).</li>
<li>RotateLeft: parameters 'start' (bool).</li>
<li>RotateRight: parameters 'start' (bool).</li>
<li>RotateTo: parameters 'yrot' (float). StrafeRight, ... with parameter false).</li>
<li>MouseMove: parameters 'x' (float) and 'y' (float).</li>
<li>Run: parameters 'start' (bool).</li>
<li>AutoRun: parameters 'start' (bool).</li>
<li>Clear: clear all movement (therefore you don't need to stop a specific movement before going to another)</li>
<li>Jump.</li>
<li>ToggleCameraMode.</li>
<li>SetAnimation: parameters 'name' (string) and 'cycle' (bool default=true).</li>
<li>SetAnimationName: parameters 'mapping' (string) specifying the cel name (like walk, run, rotateleft...) and 'name' (string) specifying the model name for the animation.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>mousemove (bool, read/write): enable/disable mousemove.</li>
<li>mousemove_inverted (bool, read/write): enable/disable inverted mousemove.</li>
<li>mousemove_xfactor (float, read/write): horizontal mousemove speed.</li>
<li>mousemove_yfactor (float, read/write): vertical mousemove speed.</li>
<li>mousemove_accelerate (bool, read/write): enable/disable acceleration. </li>
</ul>

<p>Definition at line <a class="el" href="actormove_8h_source.html#l00073">73</a> of file <a class="el" href="actormove_8h_source.html">actormove.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a5d7be1bf62aa63f10813d7e6769c714b"></a><!-- doxytag: member="iPcActorMove::AutoRun" ref="a5d7be1bf62aa63f10813d7e6769c714b" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a5d7be1bf62aa63f10813d7e6769c714b">iPcActorMove::AutoRun</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop auto-running. </p>

</div>
</div>
<a class="anchor" id="aae783f72e3c14443c1eb807c6fe33a20"></a><!-- doxytag: member="iPcActorMove::Backward" ref="aae783f72e3c14443c1eb807c6fe33a20" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#aae783f72e3c14443c1eb807c6fe33a20">iPcActorMove::Backward</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop going backward. </p>

</div>
</div>
<a class="anchor" id="a129242fd3814bc3627d3c8b02b4b294b"></a><!-- doxytag: member="iPcActorMove::EnableMouseMove" ref="a129242fd3814bc3627d3c8b02b4b294b" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a129242fd3814bc3627d3c8b02b4b294b">iPcActorMove::EnableMouseMove</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable mouse move. </p>
<p>To use this the behaviour must call '<a class="el" href="structiPcActorMove.html#abe9b1114cf8359c04b70db8edd1efecc" title="Handle mouse movement.">MouseMove()</a>' whenever the mouse moves. </p>

</div>
</div>
<a class="anchor" id="a5b8c2911d27be512dadffc9473d59d61"></a><!-- doxytag: member="iPcActorMove::Forward" ref="a5b8c2911d27be512dadffc9473d59d61" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a5b8c2911d27be512dadffc9473d59d61">iPcActorMove::Forward</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop going forward. </p>

</div>
</div>
<a class="anchor" id="a7956ee441f68a94ff3093e7b73a506d8"></a><!-- doxytag: member="iPcActorMove::GetJumpingVelocity" ref="a7956ee441f68a94ff3093e7b73a506d8" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#a7956ee441f68a94ff3093e7b73a506d8">iPcActorMove::GetJumpingVelocity</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the jumping velocity (default 6.31). </p>

</div>
</div>
<a class="anchor" id="a74c7daa806bbab0944a922d10fb18e91"></a><!-- doxytag: member="iPcActorMove::GetMouseMoveSpeedX" ref="a74c7daa806bbab0944a922d10fb18e91" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#a74c7daa806bbab0944a922d10fb18e91">iPcActorMove::GetMouseMoveSpeedX</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get mouse move x factor. </p>

</div>
</div>
<a class="anchor" id="ab3c322fb294dbd88fac047544771ee5f"></a><!-- doxytag: member="iPcActorMove::GetMouseMoveSpeedY" ref="ab3c322fb294dbd88fac047544771ee5f" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#ab3c322fb294dbd88fac047544771ee5f">iPcActorMove::GetMouseMoveSpeedY</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get mouse move y factor. </p>

</div>
</div>
<a class="anchor" id="ab1445ae733009104c532cdd402f0a7ec"></a><!-- doxytag: member="iPcActorMove::GetMovementSpeed" ref="ab1445ae733009104c532cdd402f0a7ec" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#ab1445ae733009104c532cdd402f0a7ec">iPcActorMove::GetMovementSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the movement speed (default 2.0). </p>

</div>
</div>
<a class="anchor" id="a4382852d5faaaaa65030e5987e4eecc4"></a><!-- doxytag: member="iPcActorMove::GetRotationSpeed" ref="a4382852d5faaaaa65030e5987e4eecc4" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#a4382852d5faaaaa65030e5987e4eecc4">iPcActorMove::GetRotationSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the rotation speed (default 1.75). </p>

</div>
</div>
<a class="anchor" id="a361c506fe0344985bed6fc5cc0b39b33"></a><!-- doxytag: member="iPcActorMove::GetRunningSpeed" ref="a361c506fe0344985bed6fc5cc0b39b33" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual float <a class="el" href="structiPcActorMove.html#a361c506fe0344985bed6fc5cc0b39b33">iPcActorMove::GetRunningSpeed</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the running speed (default 5.0). </p>

</div>
</div>
<a class="anchor" id="abd1273417bfc408a119dbf69a913be6e"></a><!-- doxytag: member="iPcActorMove::IsAutoRunning" ref="abd1273417bfc408a119dbf69a913be6e" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#abd1273417bfc408a119dbf69a913be6e">iPcActorMove::IsAutoRunning</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of autorunning. </p>

</div>
</div>
<a class="anchor" id="a463c5af854204a06aba1e13a39ccc1b9"></a><!-- doxytag: member="iPcActorMove::IsMouseMoveAccelerated" ref="a463c5af854204a06aba1e13a39ccc1b9" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a463c5af854204a06aba1e13a39ccc1b9">iPcActorMove::IsMouseMoveAccelerated</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test if mouse move is accelerated. </p>

</div>
</div>
<a class="anchor" id="ae14b2de761e09df4d4c99959fc68236d"></a><!-- doxytag: member="iPcActorMove::IsMouseMoveEnabled" ref="ae14b2de761e09df4d4c99959fc68236d" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#ae14b2de761e09df4d4c99959fc68236d">iPcActorMove::IsMouseMoveEnabled</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test if mouse move is enabled. </p>

</div>
</div>
<a class="anchor" id="a59858f8cd2f672cec02b2f78a0dc50ec"></a><!-- doxytag: member="iPcActorMove::IsMouseMoveInverted" ref="a59858f8cd2f672cec02b2f78a0dc50ec" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a59858f8cd2f672cec02b2f78a0dc50ec">iPcActorMove::IsMouseMoveInverted</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Test if mouse move is inverted. </p>

</div>
</div>
<a class="anchor" id="af27e386c815b8bf74003e1bea8bddf99"></a><!-- doxytag: member="iPcActorMove::IsMoving" ref="af27e386c815b8bf74003e1bea8bddf99" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#af27e386c815b8bf74003e1bea8bddf99">iPcActorMove::IsMoving</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of moving. </p>

</div>
</div>
<a class="anchor" id="a6439a02504ab228f5d49d80064dc6e65"></a><!-- doxytag: member="iPcActorMove::IsMovingBackward" ref="a6439a02504ab228f5d49d80064dc6e65" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a6439a02504ab228f5d49d80064dc6e65">iPcActorMove::IsMovingBackward</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of moving backward. </p>

</div>
</div>
<a class="anchor" id="a27238f3cb0b6320cf73571344ed66ac0"></a><!-- doxytag: member="iPcActorMove::IsMovingForward" ref="a27238f3cb0b6320cf73571344ed66ac0" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a27238f3cb0b6320cf73571344ed66ac0">iPcActorMove::IsMovingForward</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of moving forward. </p>

</div>
</div>
<a class="anchor" id="a161426ee01201ce435d6235c2e8072ae"></a><!-- doxytag: member="iPcActorMove::IsRotatingLeft" ref="a161426ee01201ce435d6235c2e8072ae" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a161426ee01201ce435d6235c2e8072ae">iPcActorMove::IsRotatingLeft</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of rotating left. </p>

</div>
</div>
<a class="anchor" id="a8e3f4e22ad9e62ec6dbb2ab46e7ff90d"></a><!-- doxytag: member="iPcActorMove::IsRotatingRight" ref="a8e3f4e22ad9e62ec6dbb2ab46e7ff90d" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a8e3f4e22ad9e62ec6dbb2ab46e7ff90d">iPcActorMove::IsRotatingRight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of rotating right. </p>

</div>
</div>
<a class="anchor" id="a3505e3780a15da437104e2b5a129bf74"></a><!-- doxytag: member="iPcActorMove::IsRunning" ref="a3505e3780a15da437104e2b5a129bf74" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a3505e3780a15da437104e2b5a129bf74">iPcActorMove::IsRunning</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of running. </p>

</div>
</div>
<a class="anchor" id="a45359a65b20ea31d0a08167e3fb12848"></a><!-- doxytag: member="iPcActorMove::IsStrafingLeft" ref="a45359a65b20ea31d0a08167e3fb12848" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a45359a65b20ea31d0a08167e3fb12848">iPcActorMove::IsStrafingLeft</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of strafing left. </p>

</div>
</div>
<a class="anchor" id="a92f29c078469910371a0356bc1904f27"></a><!-- doxytag: member="iPcActorMove::IsStrafingRight" ref="a92f29c078469910371a0356bc1904f27" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="structiPcActorMove.html#a92f29c078469910371a0356bc1904f27">iPcActorMove::IsStrafingRight</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns the toggle value of strafing right. </p>

</div>
</div>
<a class="anchor" id="a8504a83867ecdfa2e5d5a889b5c72336"></a><!-- doxytag: member="iPcActorMove::Jump" ref="a8504a83867ecdfa2e5d5a889b5c72336" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a8504a83867ecdfa2e5d5a889b5c72336">iPcActorMove::Jump</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Jump. </p>

</div>
</div>
<a class="anchor" id="abe9b1114cf8359c04b70db8edd1efecc"></a><!-- doxytag: member="iPcActorMove::MouseMove" ref="abe9b1114cf8359c04b70db8edd1efecc" args="(float x, float y)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#abe9b1114cf8359c04b70db8edd1efecc">iPcActorMove::MouseMove</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Handle mouse movement. </p>
<p>Use this in combination with <a class="el" href="structiPcActorMove.html#a129242fd3814bc3627d3c8b02b4b294b" title="Enable mouse move.">EnableMouseMove()</a>. Note that you should set screenspace property to false in pccommandinput to get the right coordinates (i.e. coordinates centered around 0,0 being the center of the screen). </p>

</div>
</div>
<a class="anchor" id="ade7a1d650f59e99ee9763dc3782bfa5a"></a><!-- doxytag: member="iPcActorMove::RotateLeft" ref="ade7a1d650f59e99ee9763dc3782bfa5a" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#ade7a1d650f59e99ee9763dc3782bfa5a">iPcActorMove::RotateLeft</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop rotating left. </p>

</div>
</div>
<a class="anchor" id="ab0857d4f499c8ce352dafb9cc0d00f27"></a><!-- doxytag: member="iPcActorMove::RotateRight" ref="ab0857d4f499c8ce352dafb9cc0d00f27" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#ab0857d4f499c8ce352dafb9cc0d00f27">iPcActorMove::RotateRight</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop rotating right. </p>

</div>
</div>
<a class="anchor" id="aedc37f2d71ad0ce238686efd2cb3b054"></a><!-- doxytag: member="iPcActorMove::RotateTo" ref="aedc37f2d71ad0ce238686efd2cb3b054" args="(float yrot)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#aedc37f2d71ad0ce238686efd2cb3b054">iPcActorMove::RotateTo</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>yrot</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Rotate to a specified angle. </p>

</div>
</div>
<a class="anchor" id="a5333252175d6df94b8e5063e01c45be5"></a><!-- doxytag: member="iPcActorMove::Run" ref="a5333252175d6df94b8e5063e01c45be5" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a5333252175d6df94b8e5063e01c45be5">iPcActorMove::Run</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop running. </p>

</div>
</div>
<a class="anchor" id="a62b35b7a61fcb8ccbf8ccfc36aeb6b88"></a><!-- doxytag: member="iPcActorMove::SetAnimation" ref="a62b35b7a61fcb8ccbf8ccfc36aeb6b88" args="(const char *name, bool cycle=true)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a62b35b7a61fcb8ccbf8ccfc36aeb6b88">iPcActorMove::SetAnimation</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>cycle</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set current animation on underlying pcmesh. </p>

</div>
</div>
<a class="anchor" id="a193033d351968ac8b2dbe5179a02bb61"></a><!-- doxytag: member="iPcActorMove::SetAnimationMapping" ref="a193033d351968ac8b2dbe5179a02bb61" args="(celAnimationName idx, const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a193033d351968ac8b2dbe5179a02bb61">iPcActorMove::SetAnimationMapping</a> </td>
          <td>(</td>
          <td class="paramtype">celAnimationName&#160;</td>
          <td class="paramname"><em>idx</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mesh's animationname for internally used animations. </p>

</div>
</div>
<a class="anchor" id="a0725397974cbf341b95ca25e327fb7e0"></a><!-- doxytag: member="iPcActorMove::SetJumpingVelocity" ref="a0725397974cbf341b95ca25e327fb7e0" args="(float speed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a0725397974cbf341b95ca25e327fb7e0">iPcActorMove::SetJumpingVelocity</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>speed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the jumping velocity (default 6.31). </p>

</div>
</div>
<a class="anchor" id="a85b268e1a5eaae11c19967fa43772b7b"></a><!-- doxytag: member="iPcActorMove::SetMouseMoveAccelerated" ref="a85b268e1a5eaae11c19967fa43772b7b" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a85b268e1a5eaae11c19967fa43772b7b">iPcActorMove::SetMouseMoveAccelerated</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable mouse move accelerated mode. </p>
<p>In this mode the movement will be accelerated in case the mouse moves a lot. This allows for more accurate aiming because small movement don't cause a lot of movement. By default this is disabled. </p>

</div>
</div>
<a class="anchor" id="ad185b63e2987d57cd9940630fcbc7942"></a><!-- doxytag: member="iPcActorMove::SetMouseMoveInverted" ref="ad185b63e2987d57cd9940630fcbc7942" args="(bool en)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#ad185b63e2987d57cd9940630fcbc7942">iPcActorMove::SetMouseMoveInverted</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>en</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Enable mouse move inverted mode. </p>
<p>In this mode the up-down mousemove will be inverted. By default this is disabled. </p>

</div>
</div>
<a class="anchor" id="abccfbb1906794dac9e4eb86bd64b1bc0"></a><!-- doxytag: member="iPcActorMove::SetMouseMoveSpeed" ref="abccfbb1906794dac9e4eb86bd64b1bc0" args="(float xs, float ys)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#abccfbb1906794dac9e4eb86bd64b1bc0">iPcActorMove::SetMouseMoveSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>xs</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>ys</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set mouse move speed factor. </p>
<p>Default is 1,1. </p>

</div>
</div>
<a class="anchor" id="a85ac9ad076488c05cb96e218135bd1a1"></a><!-- doxytag: member="iPcActorMove::SetMovementSpeed" ref="a85ac9ad076488c05cb96e218135bd1a1" args="(float speed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a85ac9ad076488c05cb96e218135bd1a1">iPcActorMove::SetMovementSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>speed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the movement speed (default 2.0). </p>

</div>
</div>
<a class="anchor" id="a6ff5764554a1d8b750ac570e3f4ba372"></a><!-- doxytag: member="iPcActorMove::SetRotationSpeed" ref="a6ff5764554a1d8b750ac570e3f4ba372" args="(float speed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a6ff5764554a1d8b750ac570e3f4ba372">iPcActorMove::SetRotationSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>speed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the rotation speed (default 1.75). </p>

</div>
</div>
<a class="anchor" id="a9d23567b60d1a30a3278e3d3dee0e5ce"></a><!-- doxytag: member="iPcActorMove::SetRunningSpeed" ref="a9d23567b60d1a30a3278e3d3dee0e5ce" args="(float speed)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a9d23567b60d1a30a3278e3d3dee0e5ce">iPcActorMove::SetRunningSpeed</a> </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>speed</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the running speed (default 5.0). </p>

</div>
</div>
<a class="anchor" id="a962b937387ffc918bb7b8e7f7713f362"></a><!-- doxytag: member="iPcActorMove::StrafeLeft" ref="a962b937387ffc918bb7b8e7f7713f362" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#a962b937387ffc918bb7b8e7f7713f362">iPcActorMove::StrafeLeft</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop strafing left. </p>

</div>
</div>
<a class="anchor" id="adef2e92e1646e30c24f132be8f05f6a0"></a><!-- doxytag: member="iPcActorMove::StrafeRight" ref="adef2e92e1646e30c24f132be8f05f6a0" args="(bool start)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#adef2e92e1646e30c24f132be8f05f6a0">iPcActorMove::StrafeRight</a> </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>start</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Start/stop strafing right. </p>

</div>
</div>
<a class="anchor" id="aabc8b05a8f2355d1fc7cd97529e3a066"></a><!-- doxytag: member="iPcActorMove::ToggleCameraMode" ref="aabc8b05a8f2355d1fc7cd97529e3a066" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcActorMove.html#aabc8b05a8f2355d1fc7cd97529e3a066">iPcActorMove::ToggleCameraMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Toggle camera mode. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="actormove_8h_source.html">actormove.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
